@import url("./header.css");
@import url("./footer.css");

.searchContentContainer:hover {
    background-color: #98e7fb;
}

.sidePadding {
    padding: 0 7%;
}

.bgColor {
    background-color: #011a45;
}

.allContainer {
    background-color: #e9eef6;
}

.mpContainerHead {
    position: relative;
    padding-top: 30px;
    padding-bottom: 30px;
}

.headingName {
    font-size: 36px;
    color: #ffffff;
}

.headingContent {
    /* font-size: 14px; */
    color: #ffffff;
    width: 100%;
}

.headingContent * {
    color: #ffffff !important;
    background-color: transparent !important;
}

.headingSmContent * {
    color: #ffffff !important;
    background-color: transparent !important;
}

.headingSmContent {
    color: white !important;
    height: 300px !important;
    overflow-y: scroll !important;
    /* padding: 0 !important; */
}

.headingTextWrap {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.afterExpandHeadingContent {
    /* font-size: 16px; */
    color: #ffffff;
    width: 100%;
    max-height: 500px;
    overflow-y: scroll;
}

.expandBtn {
    width: 55px;
    height: 55px;
}

.expandIcons {
    font-size: 40px;
    /* margin-bottom: 5px; */
    color: white;
}

.imgContainer {
    width: 399px;
    height: 180px;
    border-radius: 20px;
    overflow: hidden;
}

.btn:focus,
.form-control:focus {
    box-shadow: none;
}

.expandBtnContainer {
    position: absolute;
    left: 50%;
    bottom: calc(0% - 50px);
    transform: translate(-50%, -50%);
}

.accordion {
    overflow-anchor: none;
  }
  
  .accordion-button:not(.collapsed) {
    color: black;
    background-color: #00cbff;
    box-shadow: none;
  }
  
  .accordion-button {
    font-size: 16px;
    font-weight: 400;
    line-height: 25px;
    font-style: normal;
    text-align: left;
    color: #1c1212;
    background-color: #edf2fb;
  }
  
  .faqContainer {
    background-color: white;
    border-radius: 30px;
  }
  
  .headingFaq {
    font-size: 20px;
  }
  
  .accordion-body {
    background-color: #edf2fb;
  }
  
  .accordion-button:focus {
    box-shadow: none;
  }

/* second section */
.btnGradeSubproduct {
    background-color: white;
    border-radius: 10px 10px 0 0;
    width: 258px;
    height: 54px;
    text-align: left;
    border: 0;
}

.content {
    width: 258px;
    height: 54px;
    border: 1px solid #98e7fb;
    border-radius: 25px 0;
    background: #ffffff;
    flex-shrink: 0;
}

.searchContent {
    display: flex;
    flex-wrap: nowrap;
    width: 100%;
    overflow-x: scroll;
    overflow-y: hidden;
    scrollbar-width: none;
    background-color: #e9eef6;
}

.searchContent::-webkit-scrollbar,
.afterExpandHeadingContent::-webkit-scrollbar {
    display: none;
}
.searchContent,
.afterExpandHeadingContent {
  scrollbar-width: none; /* Hide scrollbar in Firefox */
}

.searchContentName a {
    font-size: 16px;
    font-weight: 500;
    color: #1c1212;
}

/* related product */
.retalated-product {
    background-color: white;
    border-radius: 20px !important;
    overflow: hidden;
}

.relatedProductText,
.relatedProductText a {
    font-size: 16px;
    color: #707070;
}

.websiteImage {
    height: 410.9px;
    background-color: #b5f0ff;
}

.main {
    font-size: 14px;
}

.breadcrumb {
    list-style: none;
    padding: 0;
    margin: 0;
    flex-wrap: nowrap;
    text-wrap: nowrap;
    overflow-x: scroll;
    scrollbar-width: none; /* Hide scrollbar in Firefox */

}

.breadcrumb::-webkit-scrollbar {
    display: none !important;
}

.breadcrumb-item {
    display: inline-block;
    margin-right: 0px;
}

.breadcrumb-item::after {
    content: " >";
    color: #333;
}

.breadcrumb-item::before {
    content: "" !important;
}

.breadcrumb-item:last-child::after {
    content: "";
}

.imageContainer {
    height: 220px;
    position: relative;
    border-top-left-radius: 25px;
    border-bottom-right-radius: 30px;
    border: 1px solid rgb(221, 221, 221);
}

.productbox {
    width: 100%;
    min-height: 54px;
    border-top-left-radius: 25px;
    border-bottom-right-radius: 25px;
    text-align: center;
    background: #98e7fb;
    font-size: 16px;
    font-weight: 500;
    font-style: normal;
    text-align: center;
    color: #1c1212;
    position: absolute;
    bottom: 0;
}

.productItem:hover .productbox {
    background: #00ccff;
    cursor: pointer;
}

.productbox>.productcontent {
    font-size: 14px;
    font-weight: 500;
    font-style: normal;
    text-align: center;
    color: #1c1212;
    margin: 0;
}

.productcontainer {
    background-color: white;
}

.productListingContainer {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    column-gap: 24px;
    row-gap: 22px;
}

.productcontainer .search {
    width: 700px;
}

/* @media screen and (max-width: 1340px) {
    .main {
        padding: 0px 10px 0px 10px;
    }

    .section2 {
        padding: 0px 10px 0px 10px;
    }

    .mpContainerHead {
        padding-left: 10px;
        padding-right: 10px;
    }

    .productcontainer {
        padding: 35px 10px 50px 10px;
        border-radius: 25px 25px 0 0;
    }
} */
@media screen and (min-width: 320px) and (max-width: 1024px) {
    .expandBtn {
        width: 40px;
        height: 40px;
    }

    .expandBtnContainer {
        bottom: calc(0% - 40px);
    }

    .headingName {
        font-size: 25px;
        line-height: 30px;
        color: #ffffff;
    }
}

@media (min-width: 1200px) and (max-width: 1440px) {

    .productListingContainer {
        grid-template-columns: repeat(4, 1fr);
        /* column-gap: 0px; */
    }
}

@media (min-width: 768px) and (max-width: 1199px) {

    .productListingContainer {
        grid-template-columns: repeat(3, 1fr);
        /* column-gap: 0px; */
    }

    .productcontainer .search {
        width: 400px;
    }
}

@media (min-width: 481px) and (max-width: 767px) {
    .productcontainer .search {
        width: 80%;
    }

    .productListingContainer {
        grid-template-columns: repeat(2, 1fr);
        /* column-gap: 0px; */
    }
}

@media (min-width: 320px) and (max-width: 480px) {
    .headingName {
        font-size: 18px !important;
    }

    .productListingContainer {
        grid-template-columns: repeat(1, 1fr);
        /* column-gap: 0px; */
    }

    .productcontainer .search {
        width: 100%;
    }

    .productcontainer .search input::placeholder {
        font-size: 14px;
    }

    .productListingContainer .productItem {}
}

/* media till min laptop screen size */
@media (min-width: 768px) and (max-width: 1199px) {
    .sidePadding {
        padding: 0px 5%;
    }

    .mpContainerHead {
        padding-top: 18px;
        padding-bottom: 18px;
    }
}

/* media form min tablet to max tablet screen size */
@media (min-width: 481px) and (max-width: 767px) {
    .sidePadding {
        padding: 0px 5%;
    }

    .mpContainerHead {
        padding-top: 18px;
        padding-bottom: 18px;
    }
}


/* media for  less than max mobile screen size */
@media screen and (max-width: 480px) {
    .sidePadding {
        padding: 0px 15px;
    }

    .mpContainerHead {
        padding-top: 18px;
        padding-bottom: 18px;
    }
}

@media screen and (min-width: 320px) and (max-width: 580px) {
    .headingName {
        font-size: 18px !important;
    }
}